<?php

namespace LidonationDevs\ADAPAYFWC\Enums;

enum CurrencyEnum
{ 
    case USD;
    case ADA;
    
    public function symbol(): string 
    {
        return match($this)  
        { 
            CurrencyEnum::USD => '$',   
            CurrencyEnum::ADA => '₳',
        }; 
    } 
} 
